Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SPBSTF

    java.lang.Object
      org.netlib.lapack.SPBSTF

    public class SPBSTF

extends java.lang.Object

    SPBSTF is a simplified interface to the JLAPACK routine spbstf.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SPBSTF computes a split Cholesky factorization of a real
     *  symmetric positive definite band matrix A.
     *
     *  This routine is designed to be used in conjunction with SSBGST.
     *
     *  The factorization has the form  A = S**T*S  where S is a band matrix

     *  of the same bandwidth as A and the following structure:
     *
     *    S = ( U    )
     *        ( M  L )
     *
     *  where U is upper triangular of order m = (n+kd)/2, and L is lower
     *  triangular of order n-m.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  AB      (input/output) REAL array, dimension (LDAB,N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first kd+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *
     *          On exit, if INFO = 0, the factor S from the split Cholesky
     *          factorization A = S**T*S. See Further Details.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD+1.
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *          > 0: if INFO = i, the factorization could not be completed,
     *               because the updated element a(i,i) was negative; the
     *               matrix A is not positive definite.
     *
     *  Further Details
     *  ===============
     *
     *  The band storage scheme is illustrated by the following example, when
     *  N = 7, KD = 2:
     *
     *  S = ( s11  s12  s13                     )
     *      (      s22  s23  s24                )
     *      (           s33  s34                )
     *      (                s44                )
     *      (           s53  s54  s55           )
     *      (                s64  s65  s66      )
     *      (                     s75  s76  s77 )
     *
     *  If UPLO = 'U', the array AB holds:
     *
     *  on entry:                          on exit:
     *
     *   *    *   a13  a24  a35  a46  a57   *    *   s13  s24  s53  s64  s75

     *   *   a12  a23  a34  a45  a56  a67   *   s12  s23  s34  s54  s65  s76

     *  a11  a22  a33  a44  a55  a66  a77  s11  s22  s33  s44  s55  s66  s77

     *
     *  If UPLO = 'L', the array AB holds:
     *
     *  on entry:                          on exit:
     *
     *  a11  a22  a33  a44  a55  a66  a77  s11  s22  s33  s44  s55  s66  s77

     *  a21  a32  a43  a54  a65  a76   *   s12  s23  s34  s54  s65  s76   *
     *  a31  a42  a53  a64  a64   *    *   s13  s24  s53  s64  s75   *    *
     *
     *  Array elements marked * are not used by the routine.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SPBSTF()`

Method Summary
`static void` | `SPBSTF(java.lang.String uplo, int n, int kd, float[][] ab, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPBSTF

    public SPBSTF()

Method Detail

### SPBSTF

    public static void SPBSTF(java.lang.String uplo,
                              int n,
                              int kd,
                              float[][] ab,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD